--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu können
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self.isEntered then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;

function ShowHelp:updateTick(dt)
end;

function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.20, 0.02, "Tecla Numpad 0: Info");
	else
		renderText(0.72, 0.86, 0.022, " Zetor 16045 ");			
		renderText(0.72, 0.81, 0.02, "Tecla Numpad 7: Puerta derecha");
		renderText(0.72, 0.79, 0.02, "Tecla Numpad 9: Puerta izquierda");			
		renderText(0.72, 0.75, 0.02, "Tecla R-T: Techo");
		renderText(0.72, 0.77, 0.02, "Tecla K-L: Ventana trasera");
		renderText(0.72, 0.73, 0.02, "Tecla Numpad 5: Bajar enganche");
		renderText(0.72, 0.71, 0.02, "Tecla Numpad 6: Subir enganche");
		renderText(0.72, 0.69, 0.02, "Tecla F: Luces");
		renderText(0.72, 0.67, 0.02, "Tecla N: ");
		renderText(0.72, 0.65, 0.02, "Tecla M: ");
		renderText(0.72, 0.63, 0.02, "Tecla Numpad 1: Intermitente Izq.");
		renderText(0.72, 0.61, 0.02, "Tecla Numpad 2: Intermitente Der.");
		renderText(0.72, 0.59, 0.02, "Tecla Numpad 3: Emergencia");
		renderText(0.72, 0.57, 0.02, "Tecla 2x Num ENTER: Arranque del motor");
		renderText(0.72, 0.55, 0.02, "Tecla 5-6: ");
	    renderText(0.72, 0.53, 0.02, "Tecla Space: Freno de mano");
	    renderText(0.72, 0.51, 0.02, "Tecla U: Guardabarros");
	
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;